MEGAN6 CE does not work with latest Diamond (0.9.14)


#1

Hi,

I am using diamond 0.9.14 and megan CE 6.10.6 on the command line (Ubuntu 16.04). I did a blastx with diamond against the ncbi nr database creating a daa file. Now I would like to parse the daa file with megan and add annotation. With earlier versions of diamond and megan it was possible to run tools like blast2rma. At the moment MEGAN seems not to support DAA files produces by Diamond:

daa2info -i sample.daa
Version   MEGAN Community Edition (version 6.10.6, built 20 Dec 2017)
Copyright (C) 2017 Daniel H. Huson. This program comes with ABSOLUTELY NO WARRANTY.
Caught:
java.io.IOException: DAA version requires later version of MEGAN.
        at megan.daa.io.DAAParser.isMeganizedDAAFile(DAAParser.java:99)
        at megan.tools.DAA2Info.run(DAA2Info.java:107)
        at megan.tools.DAA2Info.main(DAA2Info.java:52)

The DAA file produced by Diamond seems to be valid:
diamond view --daa sample.daa | head
HISEQ:176:HTMMKBCXX:2:1101:1846:2148 WP_060508806.1 100.0 87 0 0 263 3 147 233 2.0e-44 187.2
HISEQ:176:HTMMKBCXX:2:1101:1846:2148 WP_007200096.1 98.9 87 1 0 263 3 147 233 4.5e-44 186.0
HISEQ:176:HTMMKBCXX:2:1101:1846:2148 WP_003519193.1 98.9 87 1 0 263 3 147 233 4.5e-44 186.0

Which version of Diamond I need to run to get DAA files supported by Megan?

Thanks.

Mattias


#2

Dear Mattias,

thanks for reporting this. Benjamin Buchfink has modified the DAA format produced by Diamond so as to accommodate frame-shift alignments. MEGAN will be updated accordingly later this week.


#3

Please can we get a clear notification when the update is out? - Thanks


#4

Dear Darren, Mattias, I have just uploaded MEGAN 6.10.7: this version is compatible with the lastest Diamond release. It has been tested, but if you notice any problems, then please let me know.


#5

Thanks! It works fine for me.


#6

Fantastic! Thank you so much - I really appreciate your work on this! I will test it today …